Main Page Widgets Namespaces Book

# Gtk::ActionGroup Class Reference

Inheritance diagram for Gtk::ActionGroup:

[legend]

List of all members.

## Public Member Functions

void | add (const Glib::RefPtr<Action>& action, const AccelKey& accel_key, const Action::SlotActivate& slot)
void | add (const Glib::RefPtr<Action>& action, const Action::SlotActivate& slot)
void | add (const Glib::RefPtr<Action>& action, const AccelKey& accel_key)
void | add (const Glib::RefPtr<Action>& action)
Glib::RefPtr<const Action> | get_action (const Glib::ustring& action_name) const
| Looks up an action in the action group by name.
Glib::RefPtr<Action> | get_action (const Glib::ustring& action_name)
| Looks up an action in the action group by name.
Glib::ListHandle< Glib::RefPtr <const Action >> | get_actions () const
| Lists the actions in the action group.
Glib::ListHandle< Glib::RefPtr <Action >> | get_actions ()
| Lists the actions in the action group.
Glib::ustring | get_name () const
| Gets the name of the action group.
bool | get_sensitive () const
| Return value: `true` if the group is sensitive.
bool | get_visible () const
| Return value: `true` if the group is visible.
const GtkActionGroup* | gobj () const
| Provides access to the underlying C GObject.
GtkActionGroup* | gobj ()
| Provides access to the underlying C GObject.
GtkActionGroup* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | remove (const Glib::RefPtr<Action>& action)
| Removes an action object from the action group.
void | set_sensitive (bool sensitive=true)
| Changes the sensitivity of action_group.
void | set_visible (bool visible=true)
| Changes the visible of action_group.
Glib::SignalProxy2< void, const Glib::RefPtr<Action> &, Widget* > | signal_connect_proxy ()
| The connect_proxy signal is emitted after connecting a proxy to an action in the group.
Glib::SignalProxy2< void, const Glib::RefPtr<Action> &, Widget* > | signal_disconnect_proxy ()
| The disconnect_proxy signal is emitted after disconnecting a proxy from an action in the group.
Glib::SignalProxy1< void, const Glib::RefPtr<Action >&> | signal_post_activate ()
| The post_activate signal is emitted just after the in the is activated.
Glib::SignalProxy1< void, const Glib::RefPtr<Action >&> | signal_pre_activate ()
| The pre_activate signal is emitted just before the in the action_group is activated.
Glib::ustring | translate_string (const Glib::ustring& str) const
| Translates a string using the specified translate_func().
virtual | ~ActionGroup ()

## Static Public Member Functions

static Glib::RefPtr<ActionGroup> | create (const Glib::ustring& name=Glib::ustring())

## Protected Member Functions

| ActionGroup (const Glib::ustring& name=Glib::ustring())

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gtk::ActionGroup> | wrap (GtkActionGroup* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gtk::ActionGroup::~ActionGroup | ( |  | ) | `[virtual]`

Gtk::ActionGroup::ActionGroup | ( | const Glib::ustring & | name = `Glib::ustring()` | ) | `[explicit, protected]`

## Member Function Documentation

void Gtk::ActionGroup::add | ( | const Glib::RefPtr<Action>& | action,
|  | const AccelKey& | accel_key,
|  | const Action::SlotActivate& | slot |
| ) |  |  |

void Gtk::ActionGroup::add | ( | const Glib::RefPtr<Action>& | action,
|  | const Action::SlotActivate& | slot |
| ) |  |  |

void Gtk::ActionGroup::add | ( | const Glib::RefPtr<Action>& | action,
|  | const AccelKey& | accel_key |
| ) |  |  |

void Gtk::ActionGroup::add | ( | const Glib::RefPtr<Action>& | action | ) |

static Glib::RefPtr<ActionGroup> Gtk::ActionGroup::create | ( | const Glib::ustring & | name = `Glib::ustring()` | ) | `[static]`

Glib::RefPtr<const Action> Gtk::ActionGroup::get_action | ( | const Glib::ustring & | action_name | ) | const

Looks up an action in the action group by name.

Parameters:

  | action_name | The name of the action.

Returns:
  The action, or `0` if no action by that name exists

Since gtkmm 2.4:

Glib::RefPtr<Action> Gtk::ActionGroup::get_action | ( | const Glib::ustring & | action_name | ) |

Looks up an action in the action group by name.

Parameters:

  | action_name | The name of the action.

Returns:
  The action, or `0` if no action by that name exists

Since gtkmm 2.4:

Glib::ListHandle<Glib::RefPtr<const Action>> Gtk::ActionGroup::get_actions | ( |  | ) | const

Lists the actions in the action group.

Returns:
  An allocated list of the action objects in the action group

Since gtkmm 2.4:

Glib::ListHandle<Glib::RefPtr<Action>> Gtk::ActionGroup::get_actions | ( |  | ) |

Lists the actions in the action group.

Returns:
  An allocated list of the action objects in the action group

Since gtkmm 2.4:

Glib::ustring Gtk::ActionGroup::get_name | ( |  | ) | const

Gets the name of the action group.

Returns:
  The name of the action group.

Since gtkmm 2.4:

bool Gtk::ActionGroup::get_sensitive | ( |  | ) | const

Return value: `true` if the group is sensitive.

Returns:
  `true` if the group is sensitive.

Since gtkmm 2.4:

bool Gtk::ActionGroup::get_visible | ( |  | ) | const

Return value: `true` if the group is visible.

Returns:
  `true` if the group is visible.

Since gtkmm 2.4:

const GtkActionGroup* Gtk::ActionGroup::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GtkActionGroup* Gtk::ActionGroup::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

GtkActionGroup* Gtk::ActionGroup::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

void Gtk::ActionGroup::remove | ( | const Glib::RefPtr<Action>& | action | ) |

Removes an action object from the action group.

Since gtkmm 2.4:

Parameters:

  | action | An action.

void Gtk::ActionGroup::set_sensitive | ( | bool | sensitive = `true` | ) |

Changes the sensitivity of action_group.

Since gtkmm 2.4:

Parameters:

  | sensitive | New sensitivity.

void Gtk::ActionGroup::set_visible | ( | bool | visible = `true` | ) |

Changes the visible of action_group.

Since gtkmm 2.4:

Parameters:

  | visible | New visiblity.

Glib::SignalProxy2<void,const Glib::RefPtr<Action>&,Widget*> Gtk::ActionGroup::signal_connect_proxy | ( |  | ) |

The connect_proxy signal is emitted after connecting a proxy to an action in the group.

Note that the proxy may have been connected to a different action before.

This is intended for simple customizations for which a custom action class would be too clumsy, e.g. showing tooltips for menuitems in the statusbar.

UIManager proxies the signal and provides global notification just before any action is connected to a proxy, which is probably more convenient to use.

Parameters:

  | action | the action
  | proxy | the proxy

Prototype:
  `void on_my_connect_proxy(const Glib::RefPtr<Action>& action, Widget* proxy)`

Glib::SignalProxy2<void,const Glib::RefPtr<Action>&,Widget*> Gtk::ActionGroup::signal_disconnect_proxy | ( |  | ) |

The disconnect_proxy signal is emitted after disconnecting a proxy from an action in the group.

UIManager proxies the signal and provides global notification just before any action is connected to a proxy, which is probably more convenient to use.

Parameters:

  | action | the action
  | proxy | the proxy

Prototype:
  `void on_my_disconnect_proxy(const Glib::RefPtr<Action>& action, Widget* proxy)`

Glib::SignalProxy1<void,const Glib::RefPtr<Action>&> Gtk::ActionGroup::signal_post_activate | ( |  | ) |

The post_activate signal is emitted just after the in the is activated.

This is intended for UIManager to proxy the signal and provide global notification just after any action is activated.

Parameters:

  | action | the action

Prototype:
  `void on_my_post_activate(const Glib::RefPtr<Action>& action)`

Glib::SignalProxy1<void,const Glib::RefPtr<Action>&> Gtk::ActionGroup::signal_pre_activate | ( |  | ) |

The pre_activate signal is emitted just before the in the action_group is activated.

This is intended for UIManager to proxy the signal and provide global notification just before any action is activated.

the action

Prototype:
  `void on_my_pre_activate(const Glib::RefPtr<Action>& action)`

Glib::ustring Gtk::ActionGroup::translate_string | ( | const Glib::ustring & | str | ) | const

Translates a string using the specified translate_func().

This is mainly intended for language bindings.

Parameters:

  | string | A string.

Returns:
  The translation of string

Since gtkmm 2.6:

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::ActionGroup> wrap | ( | GtkActionGroup * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- actiongroup.h